Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Installing from source gives UnicodeDecodeError #129

Closed
AbdealiJK opened this issue May 13, 2019 · 5 comments
Closed

Installing from source gives UnicodeDecodeError #129

AbdealiJK opened this issue May 13, 2019 · 5 comments

Comments

@AbdealiJK
Copy link

@AbdealiJK AbdealiJK commented May 13, 2019

When I install rsa with source, it fails with an ascii codec error.
It works if I install it with the wheel.

Environment Versions
  1. OS Type CentOS 7
  2. Python version: Python 3.6.6
  3. pip version: pip 8.1.2 from /usr/lib/python3.6/site-packages (python 3.6)
Steps to replicate
$ docker run -it --rm centos:7 bash
# yum install -y epel-release
...
# yum install -y python36-pip
...
# pip3.6 install --no-binary :all: rsa
Collecting rsa
  Downloading https://files.pythonhosted.org/packages/cb/d0/8f99b91432a60ca4b1cd478fd0bdf28c1901c58e3a9f14f4ba3dba86b57f/rsa-4.0.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-oh4v54vc/rsa/setup.py", line 20, in <module>
        long_description = f.read()
      File "/usr/lib64/python3.6/encodings/ascii.py", line 26, in decode
        return codecs.ascii_decode(input, self.errors)[0]
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 898: ordinal not in range(128)

    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-oh4v54vc/rsa/
You are using pip version 8.1.2, however version 19.1.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
@simonvanderveldt
Copy link

@simonvanderveldt simonvanderveldt commented Jun 25, 2019

Seems like there's something wrong with the readme?
NixOS/nixpkgs#53116

Loading

@sybrenstuvel
Copy link
Owner

@sybrenstuvel sybrenstuvel commented Jun 26, 2019

Please test with the latest revision of the master branch, it should be fixed now. If you can confirm it's fixed, I can release it.

Loading

@thusoy
Copy link

@thusoy thusoy commented Jul 15, 2019

I can confirm that the problem is fixed on master for me at least.

Loading

@sybrenstuvel
Copy link
Owner

@sybrenstuvel sybrenstuvel commented Aug 4, 2019

Thanks for checking. I'm preparing version 4.1 for release soon.

Loading

sybrenstuvel added a commit that referenced this issue Aug 4, 2019
@AbdealiJK
Copy link
Author

@AbdealiJK AbdealiJK commented Feb 11, 2020

Any update for the release ?

Loading

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
4 participants